=== man/Makefile ===
.PHONY: all install clean

all:

install:
	cp -a man1/oaklisp.1 $(DESTDIR)$(prefix)/man/man1/

clean:
