=== debian/changelog ===
oaklisp (1.3.1) unstable; urgency=low

  * Initial Release.

 -- Barak Pearlmutter <bap@cs.unm.edu>  Fri,  7 Jan 2000 04:29:57 -0500

Local variables:
mode: debian-changelog
End:
