=== doc/lang/Makefile ===
--- 
+++ 
@@ -1,3 +1,19 @@
+# This file is part of Oaklisp.
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# The GNU GPL is available at http://www.gnu.org/licenses/gpl.html
+# or from the Free Software Foundation, 59 Temple Place - Suite 330,
+# Boston, MA 02111-1307, USA
+
 all: lang.dvi
 
 SRC = control.tex cover.tex dynamic.tex intro.tex io.tex lang.tex \
@@ -19,10 +35,6 @@
 #lang.ind: lang.idx
 #	makeindex lang
 
-.PHONY: release
-release: Makefile $(SRC) $(OSRC)
-	cp -a $^ $(RTARGET)/
-
 .PHONY: clean
 clean:
 	-rm -f lang.{bbl,blg,dvi,ps,idx,ilg,ind,log,toc} *.aux
