=== doc/lim/Makefile ===
--- 
+++ 
@@ -1,3 +1,19 @@
+# This file is part of Oaklisp.
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# The GNU GPL is available at http://www.gnu.org/licenses/gpl.html
+# or from the Free Software Foundation, 59 Temple Place - Suite 330,
+# Boston, MA 02111-1307, USA
+
 all: lim.dvi
 
 SRC = admin.tex boot.tex bytecode.tex compiler.tex cover.tex \
@@ -14,10 +30,6 @@
 lim.ps: lim.dvi
 	dvips -o lim.ps lim
 
-.PHONY: release
-release: Makefile $(SRC)
-	cp -a $^ $(RTARGET)/
-
 .PHONY: clean
 clean:
 	-rm -f lim.{bbl,blg,dvi,ps,idx,ilg,ind,log,toc} *.aux
