## oaklisp 1.3.6

=== debian/changelog ===
oaklisp (1.3.6-2) unstable; urgency=medium

  * tweaks to not run LaTeX during build-arch, should help port to 68k

 -- Barak A. Pearlmutter <bap@debian.org>  Sun, 15 Mar 2015 11:12:19 +0000

oaklisp (1.3.6-1) unstable; urgency=medium

  * new upstream version
  * allow build on bigendian architectures

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 13 Mar 2015 19:40:05 +0000

oaklisp (1.3.5-2) unstable; urgency=medium

  * debian/control: squash continuation lines in architecture field

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 11 Mar 2015 06:36:14 +0000

oaklisp (1.3.5-1) unstable; urgency=medium

  * debian/copyright: update to modern format
  * debian/oaklisp-doc.doc-base.3: add summary document
  * debian/source/local-options: enable single-debian-patch source format
  * new upstream version
  * adapt to new autotool upstream build scripts
    - debian/rules: simplify in light up upstream build system tweaks
    - debian/control: relax architecture to anything little-endian

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 10 Mar 2015 21:55:46 +0000

oaklisp (1.3.4-1) unstable; urgency=low
  
  * debian/control: priority option per override (debian/control)
  * debian/control: bump debian policy
  * debian/rules: bump to dh 9
  * debian/control: build dependency on gcc-multiarch for amd64
  * debian/control: update vcs browser url (closes: #528298)
  * debian/control: longer descriptions
  * new upstream version
  * adapt to new autotool upstream build scripts
    - debian/rules: dh --with autoreconf
    - debian/control: build dependency on rubber for LaTeX
    - debian/control: remove build dependency on ghostscript
    - debian/control: build depend on autoconf-archive for AX_CFLAGS_WARN_ALL
    - debian/rules: use prebuilt world or installed oaklisp (closes: #534078)
    - debian/README-BUILDING.Debian: remove, see upstream BUILD.txt
    - general simplifications
    - let upstream do more of the installation
  
 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 03 Mar 2015 13:01:02 +0000

oaklisp (1.3.3-5) unstable; urgency=low

  * build dependency on ghostscript for ps2pdf

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 06 Jan 2011 23:17:58 +0000

oaklisp (1.3.3-4) unstable; urgency=low

  * track change to Alioth's vcs-browser url
  * pass -m32 on amd64
  * bump debian policy
  * dh 8
  * latex changed, build depend on texlive-fonts-recommended (closes: #608376)
  * swizzle Vcs-* fields in debian/control from old CVS to new git repo
  * documentation in PDF instead of PostScript
  * update/simplify debian/rules

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 31 Dec 2010 00:07:14 -0500

oaklisp (1.3.3-3) unstable; urgency=low

  * include home page in control file
  * change priority from optional to extra
  * modernise update menu section
  * rev deb policy
  * new section: lisp
  * debian/control vcs and homepage fields

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 17 Mar 2009 21:38:03 +0000

oaklisp (1.3.3-2) unstable; urgency=low

  * rewrite debian/copyright according to the arbitrary whims of the
    ftpmasters without increasing its information content or usefulness
  * raise debhelper level to 7

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 23 Jul 2008 22:15:36 +0200

oaklisp (1.3.3-1) unstable; urgency=low

  * tetex-extra build dependency (closes: #136821)
  * remove silly build dependency on etags
  * patch from Len Sorensen for ARM architecture (closes: #306810)
  * patch from Ben Collins for m68k and SPARC (see #87535)
  * patch from Barry deFreese for m68k (see #65886)
  * general moving stuff around
  * restrict architecture to i386 (closes: #65886, #87535, #122117)
  * rev deb policy
  * back from the dead! (closes: #328597)

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 14 Jul 2008 10:59:59 +0100

oaklisp (1.3.2) unstable; urgency=low

  * Patch for 68000.  Build dependency.  Split out documentation.

 -- Barak A. Pearlmutter <bap@cs.unm.edu>  Sun, 31 Dec 2000 13:06:21 -0500
