=== debian/control ===
Source: oaklisp
Section: lisp
Priority: optional
Maintainer: Barak A. Pearlmutter <bap@debian.org>
Standards-Version: 3.9.6
Build-Depends:
	debhelper (>= 9),
	dh-autoreconf,
	autoconf-archive,
	gcc-multilib [any-alpha any-amd64 any-arm64 any-ia64 any-mips64 any-mips64el any-ppc64 any-ppc64el any-s390x any-sparc64]
Build-Depends-Indep:
	texlive-latex-base, texlive-latex-extra, texlive-fonts-recommended,
	rubber
Homepage: http://oaklisp.alioth.debian.org/
Vcs-Git: https://alioth.debian.org/anonscm/git/oaklisp/oaklisp.git
Vcs-Browser: https://alioth.debian.org/scm/browser.php?group_id=100056

Package: oaklisp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Object-oriented dialect of Scheme
 Oaklisp is a dialect of Scheme that combines lexical scoping with
 first-class types.  It uses a byte-coded implementation, but is
 reasonably fast anyway.  Complete with bignums, formatted output,
 transparent delays, RnRS compatibility package; all the luxuries
 except floating point and foreign function calls.

Package: oaklisp-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Suggests: oaklisp, postscript-viewer
Description: Object-oriented dialect of Scheme, documentation
 Documentation for the Oaklisp object-oriented dialect of Scheme.
 Oaklisp is a dialect of Scheme that combines lexical scoping with
 first-class types.  It uses a byte-coded implementation, but is
 reasonably fast anyway.  Complete with bignums, formatted output,
 transparent delays, RnRS compatibility package; all the luxuries
 except floating point and foreign function calls.
