=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

%:
	dh $@ --parallel --with autoreconf

override_dh_auto_configure-arch:
	dh_auto_configure -- --disable-docs

override_dh_auto_install:
	dh_auto_install
	-rm --verbose debian/tmp/usr/share/doc/oaklisp/ChangeLog
	-rm --verbose debian/tmp/usr/share/doc/oaklisp/COPYING
