## oaklisp 1.3.7

=== debian/changelog ===
oaklisp (1.3.7-4) unstable; urgency=medium

  * #;e

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 04 Apr 2022 08:55:24 +0100

oaklisp (1.3.7-3) unstable; urgency=low

  * debian/copyright: use spaces rather than tabs to start continuation lines.
  * Bump debhelper from old 11 to 13.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit.
  * Update standards version to 4.6.0, no changes needed.

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 07 Aug 2020 15:21:24 -0000

oaklisp (1.3.7-2) unstable; urgency=medium

  * debian/control: swizzle homepage off alioth
  * debian/control: build depend gcc-multilib [any-riscv64] (closes: #906672)
  * debian/control: bump policy version
  * upstream, put cp from prebuilt outside cd (closes: #906676)

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 20 Aug 2018 09:45:06 +0200

oaklisp (1.3.7-1) unstable; urgency=medium

  * upstream release
  * bump policy version, no changes required
  * dh11
  * support build option nodoc
  * install oaklisp-docs docs in /usr/share/doc/oaklisp
  * secure some debian/ URLs
  * swizzle packaging repo to salza
  * point at github repo for homepage

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 30 Jul 2018 17:02:44 +0200
