=== debian/control ===
--- 
+++ 
@@ -2,21 +2,21 @@
 Section: lisp
 Priority: optional
 Maintainer: Barak A. Pearlmutter <bap@debian.org>
-Standards-Version: 3.9.6
+Standards-Version: 4.6.0
 Build-Depends:
-	debhelper (>= 9),
-	dh-autoreconf,
+	debhelper-compat (= 13),
 	autoconf-archive,
-	gcc-multilib [any-alpha any-amd64 any-arm64 any-ia64 any-mips64 any-mips64el any-ppc64 any-ppc64el any-s390x any-sparc64]
+	gcc-multilib [any-alpha any-amd64 any-arm64 any-ia64 any-mips64 any-mips64el any-ppc64 any-ppc64el any-riscv64 any-s390x any-sparc64]
 Build-Depends-Indep:
-	texlive-latex-base, texlive-latex-extra, texlive-fonts-recommended,
-	rubber
-Homepage: http://oaklisp.alioth.debian.org/
-Vcs-Git: https://alioth.debian.org/anonscm/git/oaklisp/oaklisp.git
-Vcs-Browser: https://alioth.debian.org/scm/browser.php?group_id=100056
+	texlive-latex-base <!nodoc>, texlive-latex-extra <!nodoc>, texlive-fonts-recommended <!nodoc>,
+	latexmk <!nodoc>,  texlive-font-utils <!nodoc>,  ghostscript <!nodoc>
+Homepage: https://github.com/barak/oaklisp/
+Vcs-Git: https://salsa.debian.org/debian/oaklisp.git
+Vcs-Browser: https://salsa.debian.org/debian/oaklisp
 
 Package: oaklisp
 Architecture: any
+Multi-Arch: foreign
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Object-oriented dialect of Scheme
  Oaklisp is a dialect of Scheme that combines lexical scoping with
@@ -29,6 +29,7 @@
 Section: doc
 Architecture: all
 Depends: ${misc:Depends}
+Build-Profiles: <!nodoc>
 Suggests: oaklisp, postscript-viewer
 Description: Object-oriented dialect of Scheme, documentation
  Documentation for the Oaklisp object-oriented dialect of Scheme.
