## oaklisp 1.3.8

=== debian/changelog ===
oaklisp (1.3.8-2) unstable; urgency=medium

  * remove arch s390x; no more 32-bit pointer models (closes: #1125241)

 -- Barak A. Pearlmutter <bap@debian.org>  Sun, 11 Jan 2026 16:19:17 +0000

oaklisp (1.3.8-1) unstable; urgency=medium

  * Proper fix for GCC 15 issue

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 02 Jan 2026 22:11:42 +0000

oaklisp (1.3.7-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build with -std=gnu17 to workaround FTBFS with GCC 15.
    (Closes: #1097487)

 -- Adrian Bunk <bunk@debian.org>  Wed, 22 Oct 2025 22:15:54 +0300
