=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: oaklisp
 Section: lisp
-Priority: optional
 Maintainer: Barak A. Pearlmutter <bap@debian.org>
-Standards-Version: 4.6.0
+Standards-Version: 4.7.3
 Build-Depends:
 	debhelper-compat (= 13),
 	autoconf-archive,
-	gcc-multilib [any-alpha any-amd64 any-arm64 any-ia64 any-mips64 any-mips64el any-ppc64 any-ppc64el any-riscv64 any-s390x any-sparc64]
+	gcc-multilib [any-alpha any-amd64 any-arm64 any-ia64 any-mips64 any-mips64el any-ppc64 any-ppc64el any-riscv64 any-sparc64]
 Build-Depends-Indep:
 	texlive-latex-base <!nodoc>, texlive-latex-extra <!nodoc>, texlive-fonts-recommended <!nodoc>,
 	latexmk <!nodoc>,  texlive-font-utils <!nodoc>,  ghostscript <!nodoc>
